<?php

	include("../conexion.php");
	

	if (substr($_FILES['excel']['name'],-3)=="csv")
	{
		$fecha		= date("Y-m-d");
		$carpeta 	= "tmp_excel/";
		$excel  	= $fecha."-".$_FILES['excel']['name'];

		move_uploaded_file($_FILES['excel']['tmp_name'], "$carpeta$excel");
		
		$row = 1;

		$fp = fopen ("$carpeta$excel","r");
		//fgetcsv. obtiene los valores que estan en el csv y los extrae.

		while ($data = fgetcsv ($fp, 1000, ";"))
		{
			//si la linea es igual a 1 no guardamos por que serian los titulos de la hoja del excel.
			if ($row!=1)
			{

				$num = count($data);

  				$iva0=$data[6]/100; //0.19
    			$iva1=1+$iva0; //1.19
				

				$costo=$data[4]/$iva1;

				$insertar="INSERT  INTO compra_detalle_temp (comt_art_id,comt_referencia,comt_nombre,comt_cantidad,comt_precio,comt_iva,atributo1,atributo2,usuario,empresa)
				values('$data[6]','$data[0]','$data[1]','$data[3]','$data[2]','0','0','0','1','1')";
				$sql = mysqli_query($con, $insertar);
			}

		$row++;

		}

		fclose ($fp);
		echo "<div>La importacion de archivo subio satisfactoriamente</div >";
		
		exit;

	}

?>